{% extends 'index_auth.html' %}

{% block base_auth %}

<div class="user-login">
    <div class="user-login__header">
        <h2>Авторизация</h2>
    </div>
    <div class="user-login__body">
        <form class="user-login__form" action="" method="post">{% csrf_token %}
            <div class="fieldset fieldset_login">
                <div class="fieldset__item">
                    <div class="field">
                        <label for="{{ form.username.id_for_label }}" class="field__label label label_center label_float label_s">телефон</label>
                        <div class="field__control control control_default control_m control_center">
							<input type="number" name="{{ form.username.name }}" value="{{ form.username.value|default:'' }}" required>
                        </div>
                    </div>
                </div>
                <div class="fieldset__item">
                    <div class="field">
                        <label for="{{ form.password.id_for_label }}" class="field__label label label_center label_float label_s">пароль</label>
                        <div class="field__control control control_default control_m control_center">
                            <input type="password" name="{{ form.password.name }}" required>
                        </div>
                    </div>
				</div>
                <div class="fieldset__item">
					<button type="submit" class="form__btn btn btn_primary btn_m btn_block">
                    <div class="btn__grid">
                      <div class="btn__title">Войти</div>
                    </div>
                  </button>
                </div>
                {% if form.errors %}
                  <div class="fieldset__item">
                      <div class="msg msg_error ta_center p_s">
                          <div class="fs_s">Неправильный логин или пароль</div>
                      </div>
                  </div>
                {% endif %}
                <div class="fieldset__item">
					<div class="user-login__links"><a href="/user/signup" class="blink link_default">Регистрация</a><a class="link link_default" href="password.html">Забыли пароль?</a></div>
                </div>
            </div>
        </form>
    </div>
</div>

{% endblock base_auth %}
